FunctionCallTree (Java SE 13 & JDK 13 )
Description: declaration: module: jdk.scripting.nashorn, package: jdk.nashorn.api.tree, interface: FunctionCallTree
Keywords: jdk.nashorn.api.tree.FunctionCallTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface FunctionCallTree

All Superinterfaces:
  `ExpressionTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface FunctionCallTree
    extends ExpressionTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a function call expression. For example:

       identifier ( arguments )

       this . identifier ( arguments )

Since:
  9

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `List<? extends ExpressionTree>` | `getArguments()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the list of arguments being passed to this function call.
  `ExpressionTree` | `getFunctionSelect()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the function being called.

  ### Methods declared in interface jdk.nashorn.api.tree.Tree

  `accept, getEndPosition, getKind, getStartPosition`

- ## Method Details

  - ### getFunctionSelect

    ExpressionTree getFunctionSelect()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the function being called.
    Returns:
      the function being called

  - ### getArguments

    List<? extends ExpressionTree> getArguments()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the list of arguments being passed to this function call.
    Returns:
      the list of argument expressions